#      This file is part of the Physionet 2016 Challenge entry of the team
#      S. Hofmann/A. Dominik.
#
#      Copyright (c) 2016 THM University of Applied Sciences, Giessen, Germany
#                         Andreas Dominik
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
# io.R
# comprises IO-functions
#

require(tuneR)

# reads a wav and generates time series:
#
# value:
# Obj. of class "Wave" 
#
read.recording <- function(sample.name){
  
  x <- readWave(paste(CONFIG$sample.dir, sample.name, ".wav", sep=""))
  return( x)
}


pcg.write.beats <- function(pcg, file = ""){
  
  cat(file = file, paste(sprintf("\n\n%s: %s; score (total): %.3f (%.3f)\n", 
                                 pcg@name, pcg@annotation, pcg@cinc$score.beat, pcg@cinc$score)))

  cat(file=file, paste( sprintf("%10s %10s    %s\n", "S1", "S2", "Abnormalities"))) 
  
  beats <- pcg@beats
  flags <- beats[,c(-1,-2)]
  names <- names(beats[c(-1,-2)])
  
  for (i in seq_len(nrow(beats))){
    
    features <- names[unlist(flags[i,])]
    cat(file=file, paste( sprintf("%10.3f %10.3f    %s\n", beats[i,"s1"], beats[i,"s2"], paste(features, collapse=" ")))) 
  }
  
}